include:
  - project: vigigloo/gitlab-pipeline-fragments
    ref: v1
    file:
      - terraform.auto.yml

workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
    - if: $CI_COMMIT_BRANCH && $CI_OPEN_MERGE_REQUESTS
      when: never
    - if: $CI_COMMIT_BRANCH

.vigigloo:terraform:
  image:
    name: ghcr.io/opentofu/opentofu:1.7
  before_script:
    - shopt -s expand_aliases
    - alias terraform="tofu -chdir=$TF_ROOT"
    - terraform init

.vigigloo:terraform:fmt:
  before_script:
    - shopt -s expand_aliases
    - alias terraform="tofu -chdir=$TF_ROOT"
